Skip to main content
POST
/
product-collections
/
{id}
/
groups
/
{group_id}
/
items
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const productCollectionProducts = await client.productCollections.groups.items.create(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { id: 'id', products: [{ product_id: 'product_id' }] },
);

console.log(productCollectionProducts);
[
  {
    "addons_count": 123,
    "files_count": 123,
    "has_credit_entitlements": true,
    "id": "<string>",
    "is_recurring": true,
    "license_key_enabled": true,
    "meters_count": 123,
    "product_id": "<string>",
    "status": true,
    "description": "<string>",
    "name": "<string>",
    "price": 123,
    "price_detail": {
      "discount": 123,
      "price": 123,
      "purchasing_power_parity": true,
      "pay_what_you_want": true,
      "suggested_price": 123,
      "tax_inclusive": true
    },
    "tax_inclusive": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Product Collection Id

group_id
string<uuid>
required

Product Collection Group Id

Body

application/json
products
object[]
required

Products to add to the group

Response

Products added successfully

addons_count
integer<int64>
required
files_count
integer<int64>
required
has_credit_entitlements
boolean
required

Whether this product has any credit entitlements attached

id
string
required
is_recurring
boolean
required
license_key_enabled
boolean
required
meters_count
integer<int64>
required
product_id
string
required
status
boolean
required
currency
null | enum<string>
Available options:
AED,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BWP,
BYN,
BZD,
CAD,
CHF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHP,
SLE,
SLL,
SOS,
SRD,
SSP,
STN,
SVC,
SZL,
THB,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW
description
string | null
name
string | null
price
integer<int32> | null
price_detail
One Time Price · object

One-time price details.

tax_category
null | enum<string>

Represents the different categories of taxation applicable to various products and services.

Available options:
digital_products,
saas,
e_book,
edtech
tax_inclusive
boolean | null
Last modified on May 21, 2026